package cn.freemud.enums;

/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @version V1.0
 * @Title: ShoppingCartOperationType
 * @Package cn.freemud.enums
 * @Description:
 * @author: ping1.wu
 * @date: 2020/8/10 18:09
 * @Copyright: 2020 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
public enum  ShoppingCartOperationType {


    ADD_PRODUCT_COUPON(1,"增加商品券"),
    ADD_SUPER_PRICE_GOODS(2,"增加超值加购商品"),
    UPDATE3(3,"切换门店校验"),
    UPDATE4(4,"确认切换门店")
            ;


    private Integer code;

    private String message;

    ShoppingCartOperationType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
